diff -r -b -c  postgresql-7.2/src/interfaces/odbc/convert.c postgresql-7.2-Openserver/src/interfaces/odbc/convert.c
*** postgresql-7.2/src/interfaces/odbc/convert.c Sun Dec 30 23:09:42 2001
--- postgresql-7.2-Openserver/src/interfaces/odbc/convert.c Fri Feb  8 10:50:56 2002
***************
*** 2265,2270 ****
  {
  	int			i,
  				y = 0;
  
  	for (i = 1; i <= 3; i++)
  		y += (s[i] - 48) * (int) pow(8, 3 - i);
--- 2265,2271 ----
  {
  	int			i,
  	y = 0;
+ 	const int pow_8_3mi[] = {512, 64, 8, 1};
  
  	for (i = 1; i <= 3; i++)
  		y += (s[i] - (int)('0')) * pow_8_3mi[i];
***************
*** 2267,2273 ****
  				y = 0;
  
  	for (i = 1; i <= 3; i++)
! 		y += (s[i] - 48) * (int) pow(8, 3 - i);
  
  	return y;
  
--- 2268,2275 ----
  	const int pow_8_3mi[] = {512, 64, 8, 1};
  
  	for (i = 1; i <= 3; i++)
! 		y += (s[i] - (int)('0')) * pow_8_3mi[i];
! //		y += (s[i] - 48) * (int) pow(8, 3 - i);
  
  	return y;
  
***************
*** 2277,2282 ****
  static unsigned int
  conv_from_hex(const unsigned char *s)
  {
  	int			i,
  				y = 0,
  				val;
--- 2279,2285 ----
  static unsigned int
  conv_from_hex(const unsigned char *s)
  {
+   const int pow_16_2mi [] = {256, 16, 1};
  	int			i,
  				y = 0,
  				val;
***************
*** 2290,2296 ****
  		else
  			val = s[i] - '0';
  
! 		y += val * (int) pow(16, 2 - i);
  	}
  
  	return y;
--- 2293,2300 ----
  		else
  			val = s[i] - '0';
  
! 		y += val * pow_16_2mi[i];
! //		y += val * (int) pow(16, 2 - i);
  	}
  
  	return y;
diff -r -b -c  postgresql-7.2/src/pl/tcl/Makefile postgresql-7.2-Openserver/src/pl/tcl/Makefile
*** postgresql-7.2/src/pl/tcl/Makefile Wed Jan 23 18:45:41 2002
--- postgresql-7.2-Openserver/src/pl/tcl/Makefile Fri Feb  8 11:35:51 2002
***************
*** 53,59 ****
  	$(TCL_SHLIB_LD) -o $@ $< $(TCL_LIB_SPEC) $(SHLIB_EXTRA_LIBS)
  
  
! CC = $(TCL_CC)
  
  # Since we are using Tcl's choice of C compiler, which might not be
  # the same one selected for Postgres, do NOT use CFLAGS from
--- 53,59 ----
  	$(TCL_SHLIB_LD) -o $@ $< $(TCL_LIB_SPEC) $(SHLIB_EXTRA_LIBS)
  
  
! #CC = $(TCL_CC)
  
  # Since we are using Tcl's choice of C compiler, which might not be
  # the same one selected for Postgres, do NOT use CFLAGS from
***************
*** 62,69 ****
  
  # Can choose either TCL_CFLAGS_OPTIMIZE or TCL_CFLAGS_DEBUG here, as
  # needed
! override CPPFLAGS += $(TCL_DEFS)
! override CFLAGS = $(TCL_CFLAGS_OPTIMIZE) $(TCL_SHLIB_CFLAGS)
  
  
  #
--- 62,70 ----
  
  # Can choose either TCL_CFLAGS_OPTIMIZE or TCL_CFLAGS_DEBUG here, as
  # needed
! #override CPPFLAGS += $(TCL_DEFS)
! #override CFLAGS = $(TCL_CFLAGS_OPTIMIZE) $(TCL_SHLIB_CFLAGS)
! override CFLAGS += $(CFLAGS_SL)
  
  
  #
diff -r -b -c  postgresql-7.2/src/test/regress/pg_regress.sh postgresql-7.2-Openserver/src/test/regress/pg_regress.sh
*** postgresql-7.2/src/test/regress/pg_regress.sh Thu Jan  3 21:52:05 2002
--- postgresql-7.2-Openserver/src/test/regress/pg_regress.sh Fri Feb  8 10:51:46 2002
***************
*** 173,179 ****
  # ----------
  
  case $host_platform in
!     *-*-qnx*)
          DIFFFLAGS=-b;;
      *)
          DIFFFLAGS=-w;;
--- 173,179 ----
  # ----------
  
  case $host_platform in
!     *-*-qnx*  | *-*-sco3.2v5* | *-*-sysv5)
          DIFFFLAGS=-b;;
      *)
          DIFFFLAGS=-w;;
diff -r -b -c  postgresql-7.2/configure.in postgresql-7.2-Openserver/configure.in
*** postgresql-7.2/configure.in Sun Feb  3 21:04:12 2002
--- postgresql-7.2-Openserver/configure.in Fri Feb  8 10:41:42 2002
***************
*** 692,698 ****
  AC_CHECK_LIB(util,     setproctitle)
  AC_CHECK_LIB(m,        main)
  AC_CHECK_LIB(dl,       main)
- AC_CHECK_LIB(socket,   main)
  AC_CHECK_LIB(nsl,      main)
  AC_CHECK_LIB(ipc,      main)
  AC_CHECK_LIB(IPC,      main)
--- 692,697 ----
  AC_CHECK_LIB(util,     setproctitle)
  AC_CHECK_LIB(m,        main)
  AC_CHECK_LIB(dl,       main)
  AC_CHECK_LIB(nsl,      main)
  AC_CHECK_LIB(socket,   main)
  AC_CHECK_LIB(ipc,      main)
***************
*** 694,699 ****
  AC_CHECK_LIB(dl,       main)
  AC_CHECK_LIB(socket,   main)
  AC_CHECK_LIB(nsl,      main)
  AC_CHECK_LIB(ipc,      main)
  AC_CHECK_LIB(IPC,      main)
  AC_CHECK_LIB(lc,       main)
--- 693,699 ----
  AC_CHECK_LIB(m,        main)
  AC_CHECK_LIB(dl,       main)
  AC_CHECK_LIB(nsl,      main)
+ AC_CHECK_LIB(socket,   main)
  AC_CHECK_LIB(ipc,      main)
  AC_CHECK_LIB(IPC,      main)
  AC_CHECK_LIB(lc,       main)
